PORTLESS(1)

NAME
portless - quickly browse port descriptions

SYNOPSIS
portless [-dfIiMmp] [-gG 'pattern'] [-P pager] portglob...
portless [-IWw] [-gG 'pattern'] portglob...

DESCRIPTION
portless lets FreeBSD users quickly browse port descriptions given the port's name or a (shell type) glob.

The options are as follows:

-d  Display the pkg-descr file of the port. This is the default.

-f  Take the portglob argument literal (not as a shell glob).

-gG 'pattern'
    Filter the list of selected files with grep(1) . Option -G differs from -g only by using fgrep rather than grep.

-I  Ignore case when matching portglob against the ports tree. This option is only effective if portglob contains at least one unquoted globbing meta-character ( ‘*’, ‘’?, or ‘[’ ). Used together with -g it also greps case insensitively.

-i  Display the distinfo file of the port.

-M  Display the Makefile file of the port.

-m  Display the pkg-message file of the port.

-p  Display the pkg-plist file of the port.

-P pager
    Use the specified pager program to display matching files. This overrides the setting of the PAGER environment variable.

-w  Rather than browsing files inside the ports tree just echo the names of directories matching portglob to stdout.

-W  Like -w but echoes just the last two components of the directory (i.e. category/portname ) to stdout.

Options -W and -w are incompatible with all other options.

ENVIRONMENT
The portless command uses the following environment variables:
PAGER
    defaults to “less -e”
PORTSDIR
    defaults to /usr/ports

FILES
/usr/ports/*/*/*

EXAMPLES
The following are examples of typical usage of the portless command:

    portless cvsweb\*
    portless lang/\*doc
    portless 'www/*python*'

SEE ALSO
The ports_glob(1) command (part of the ports-mgmt/portupgrade port), grep(1).

AUTHOR
The portless utility and this manual page were written by Martin Kammerhofer <mkamm@gmx.net>.